org.keycloak.testutils.ldap

## Class LDAPConfiguration

- java.lang.Object
- - org.keycloak.testutils.ldap.LDAPConfiguration

-     public class LDAPConfiguration
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Map<String,String>` | `DEFAULT_VALUES`
    `protected static Map<String,String>` | `PROP_MAPPINGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getLDAPConfig()`
    `boolean` | `isStartEmbeddedLdapLerver()`
    `protected void` | `loadConnectionProperties()`
    `static LDAPConfiguration` | `readConfiguration(String connectionPropertiesLocation)`
    `void` | `setConnectionPropertiesLocation(String connectionPropertiesLocation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_MAPPINGS

          protected static final Map<String,String> PROP_MAPPINGS

    - #### DEFAULT_VALUES

          protected static final Map<String,String> DEFAULT_VALUES

  - ### Constructor Detail

    - #### LDAPConfiguration

          public LDAPConfiguration()

  - ### Method Detail

    - #### readConfiguration

          public static LDAPConfiguration readConfiguration(String connectionPropertiesLocation)

    - #### loadConnectionProperties

          protected void loadConnectionProperties()

    - #### getLDAPConfig

          public Map<String,String> getLDAPConfig()

    - #### setConnectionPropertiesLocation

          public void setConnectionPropertiesLocation(String connectionPropertiesLocation)

    - #### isStartEmbeddedLdapLerver

          public boolean isStartEmbeddedLdapLerver()

Copyright © 2015. All rights reserved.